MODF(3)

NAME
modf - extract signed integral and fractional values from floating-point number

SYNOPSIS
#include <math.h>
double
modf(double value, double *iptr);

DESCRIPTION
The modf() function breaks the argument value into integral and fractional parts, each of which has the same sign as the argument. It stores the integral part as a double in the object pointed to by iptr.

RETURN VALUES
The modf() function returns the signed fractional part of value.

SEE ALSO
frexp(3), ldexp(3), math(3)

STANDARDS
The modf() function conforms to ansiC.